/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.protocol;

import hu.midori.kosmos.model.JiraProject;

import java.util.List;

/**
 * This service provides information about <i>JIRA</i> databases.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public interface JiraService extends TimestampedService {
    /** 
     * Returns the projects from the JIRA server instance.
     * @param url shows to a JIRA server instance (eg. <code>http://jira.atlassian.com</code>).
     */
    List<JiraProject> getProjects(String url);    
}
