/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.server.util;

import java.awt.Color;

/**
 * Key for color coded pie sections.
 * Wraps immutable label and color values.
 * 
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class ColorCodedKey implements Comparable {
	/** Label for the pie section. */
	private String label;
	/** Color for the pie section. */
	private Color color;
	
	public ColorCodedKey(String label, Color color) {
		this.color = color;
		this.label = label;
	}

	public String getLabel() {
		return label;
	}
	
	public Color getColor() {
		return color;
	}

	/** Ensures that only label string will appear in the charts. */
	@Override
	public String toString() {
		return label;
	}

	public int compareTo(Object obj) {
		return getLabel().compareTo(((ColorCodedKey)obj).getLabel());
	}
}
